# Google Data APIs Client Library (1.43.0)

## com.google.gdata.data.photos
Class UserFeed

    java.lang.Object
      com.google.gdata.data.AbstractExtension
          com.google.gdata.data.ExtensionPoint
              com.google.gdata.data.Source
                  com.google.gdata.data.BaseFeed<F,E>
                      com.google.gdata.data.media.MediaFeed<F,GphotoEntry>
                          com.google.gdata.data.photos.GphotoFeed<UserFeed>
                              com.google.gdata.data.photos.UserFeed

All Implemented Interfaces:
  Extension, IAtom, IFeed, Kind.Adaptable, Kind.Adaptor, AtomData, Extensible, GphotoData, UserData

    public class UserFeed

extends GphotoFeed<UserFeed>
implements UserData, AtomData

Feed for a User in our google photos api. This feed represents a user as the container for other objects. A User feed contains entries of `AlbumEntry` or `TagEntry` kind. The user feed itself also contains all of the metadata available as part of a `UserData` object.

Nested Class Summary

Nested classes/interfaces inherited from class com.google.gdata.data.BaseFeed
`BaseFeed.FeedHandler, BaseFeed.FeedState`

Nested classes/interfaces inherited from class com.google.gdata.data.Source
`Source.SourceHandler, Source.SourceState`

Nested classes/interfaces inherited from class com.google.gdata.data.ExtensionPoint
`ExtensionPoint.CumulativeBlobHandler, ExtensionPoint.ExtensionHandler`

Nested classes/interfaces inherited from class com.google.gdata.data.AbstractExtension
`AbstractExtension.AttributesHandler`

Field Summary

Fields inherited from class com.google.gdata.data.BaseFeed
`entries, entryClass, feedState`

Fields inherited from class com.google.gdata.data.Source
`srcState`

Fields inherited from class com.google.gdata.data.ExtensionPoint
`xmlBlob`

Fields inherited from class com.google.gdata.data.AbstractExtension
`localName, namespace`

Fields inherited from interface com.google.gdata.data.photos.UserData
`KIND, USER_CATEGORY, USER_KIND`

Constructor Summary
`UserFeed()` Constructs a new empty user feed.
`UserFeed(BaseFeed<?,?> sourceFeed)` Constructs a new user feed from a shallow copy of the data in the source feed.

Method Summary
`void` `declareExtensions(ExtensionProfile extProfile)` Declares the set of expected Extension types for an ExtensionPoint within the target extension profile.
`java.util.List<AlbumEntry>` `getAlbumEntries()` Get a list of entries of the `AlbumEntry` kind.
`java.lang.Integer` `getMaxPhotos()` The number of photos a user can have in a single album.
`java.lang.String` `getNickname()` The nickname of the user.
`java.lang.Long` `getQuotaLimit()` The quota limit of the user.
`java.lang.Long` `getQuotaUsed()` The quota in bytes that the user has used.
`java.util.List<TagEntry>` `getTagEntries()` Get a list of entries of the `TagEntry` kind.
`java.lang.String` `getThumbnail()` A url to the user's portrait.
`java.lang.String` `getUsername()` The username of the user.
`void` `setMaxPhotos(java.lang.Integer max)` Set the maximum number of photos the user is allowed.
`void` `setNickname(java.lang.String nickname)` Set the nickname of the user this data represents.
`void` `setQuotaLimit(java.lang.Long quota)` Set the quota limit for the user this data represents.
`void` `setQuotaUsed(java.lang.Long quota)` Set the used quota for the user.
`void` `setThumbnail(java.lang.String thumbnail)` Set the thumbnail for the user portrait.
`void` `setUsername(java.lang.String username)` Set the username for the user this data represents.

Methods inherited from class com.google.gdata.data.photos.GphotoFeed
`generateRss, getDescription, getGphotoId, setDescription, setGphotoId, setGphotoId`

Methods inherited from class com.google.gdata.data.media.MediaFeed
`insert, insert, setService`

Methods inherited from class com.google.gdata.data.BaseFeed

`addAdaptor, createEntry, generate, generateAtom, generateFeedEnd, generateFeedStart, getAdaptedFeed, getAdaptor, getAdaptors, getCanPost, getEntries, getEntries, getEntryPostLink, getEtag, getFeedBatchLink, getHandler, getItemsPerPage, getKind, getNextLink, getPreviousLink, getSelectedFields, getSelf, getSelfLink, getService, getStartIndex, getTotalResults, getVersionId, insert, parseAtom, parseAtom, parseAtom, readFeed, readFeed, setCanPost, setEntries, setEtag, setItemsPerPage, setKind, setSelectedFields, setStartIndex, setTotalResults, setVersionId, visitChildren`

Methods inherited from class com.google.gdata.data.Source
`addHtmlLink, addLink, addLink, generateInnerAtom, getAuthors, getCategories, getContributors, getGenerator, getHtmlLink, getIcon, getId, getLink, getLinks, getLinks, getLogo, getRights, getSubtitle, getTitle, getUpdated, removeLinks, removeLinks, setGenerator, setGenerator, setIcon, setId, setLogo, setRights, setSubtitle, setTitle, setUpdated`

Methods inherited from class com.google.gdata.data.ExtensionPoint

`addExtension, addExtension, addRepeatingExtension, addRepeatingExtension, checkRequiredExtensions, createExtensionInstance, generate, generateCumulativeXmlBlob, generateExtensions, generateStartElement, getExtension, getExtensionDescription, getExtensionHandler, getExtensions, getManifest, getRepeatingExtension, getRepeatingExtensions, getXmlBlob, hasExtension, hasRepeatingExtension, initializeArbitraryXml, parseCumulativeXmlBlob, removeExtension, removeExtension, removeRepeatingExtension, setExtension, setXmlBlob, visit, visitChild`

Methods inherited from class com.google.gdata.data.AbstractExtension
`consumeAttributes, disableStrictValidation, enableStrictValidation, eq, generateAttributes, getExtensionLocalName, getExtensionNamespace, isImmutable, isStrictValidation, putAttributes, sameClassAs, setImmutable, throwExceptionForMissingAttribute, throwExceptionIfImmutable, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.google.gdata.data.photos.GphotoData
`getGphotoId, setGphotoId, setGphotoId`

Methods inherited from interface com.google.gdata.data.photos.Extensible
`addExtension, addRepeatingExtension, removeExtension, removeExtension, removeRepeatingExtension, setExtension`

Methods inherited from interface com.google.gdata.data.photos.AtomData
`getAuthors, getCategories, getContributors, getDescription, getId, getLinks, getRights, getTitle, getUpdated, setDescription, setId, setRights, setTitle, setUpdated`

Methods inherited from interface com.google.gdata.data.IFeed
`getGenerator, getLogo, getSubtitle, setGenerator, setLogo`

Methods inherited from interface com.google.gdata.data.IAtom
`addLink, getAuthors, getCategories, getId, getLink, getLinks, getTitle, getUpdated, removeLinks, removeLinks, setId, setUpdated`

Constructor Detail

### UserFeed

    public UserFeed()

  Constructs a new empty user feed.

### UserFeed

    public UserFeed(BaseFeed<?,?> sourceFeed)

  Constructs a new user feed from a shallow copy of the data in the source feed. This is used to get the correct entry type based on the category of the entry.

Method Detail

### declareExtensions

    public void declareExtensions(ExtensionProfile extProfile)

  Description copied from class: `BaseFeed`
  Declares the set of expected Extension types for an ExtensionPoint within the target extension profile. The base implementation does not declare any extensions, but can be overridden by specific types of ExtensionPoints that always contain a well-defined set of extensions.

  The implementation of this method for BaseFeed will declare any extensions associated with the contained entry type.

  Specified by:
    `declareExtensions` in interface `Kind.Adaptor`
  Specified by:
    `declareExtensions` in interface `Extensible`
  Overrides:
    `declareExtensions` in class `GphotoFeed<UserFeed>`
  Parameters:
    `extProfile` - the ExtensionProfile to initialize.
  See Also:
    `ExtensionProfile.addDeclarations(Kind.Adaptor)`

### getAlbumEntries

    public java.util.List<AlbumEntry> getAlbumEntries()

  Get a list of entries of the `AlbumEntry` kind.

### getTagEntries

    public java.util.List<TagEntry> getTagEntries()

  Get a list of entries of the `TagEntry` kind.

### getMaxPhotos

    public java.lang.Integer getMaxPhotos()

  Description copied from interface: `UserData`
  The number of photos a user can have in a single album. Calculated on the server.

  Specified by:
    `getMaxPhotos` in interface `UserData`
  Returns:
    the maximum number of photos the user can have in an album.

### getNickname

    public java.lang.String getNickname()

  Description copied from interface: `UserData`
  The nickname of the user. This is the display name of the user, defined by editing the user information through the UI.

  Specified by:
    `getNickname` in interface `UserData`
  Returns:
    the nickname of the user this data represents.

### getQuotaLimit

    public java.lang.Long getQuotaLimit()

  Description copied from interface: `UserData`
  The quota limit of the user. Set on the server, only modifiable by purchasing more storage through the UI.

  Specified by:
    `getQuotaLimit` in interface `UserData`
  Returns:
    the quota limit for the user in bytes.

### getQuotaUsed

    public java.lang.Long getQuotaUsed()

  Description copied from interface: `UserData`
  The quota in bytes that the user has used. This is calculated on the server.

  Specified by:
    `getQuotaUsed` in interface `UserData`
  Returns:
    the quota used for this user in bytes.

### getThumbnail

    public java.lang.String getThumbnail()

  Description copied from interface: `UserData`
  A url to the user's portrait.

  Specified by:
    `getThumbnail` in interface `UserData`
  Returns:
    the thumbnail for the user this data represents.

### getUsername

    public java.lang.String getUsername()

  Description copied from interface: `UserData`
  The username of the user. The username is the user's current persona, and is not a valid email address but is instead a unique name of the user on the server.

  Specified by:
    `getUsername` in interface `UserData`
  Returns:
    the username of the user this data represents.

### setMaxPhotos

    public void setMaxPhotos(java.lang.Integer max)

  Description copied from interface: `UserData`
  Set the maximum number of photos the user is allowed. Used by the server to set the field, has no effect on the client.

  Specified by:
    `setMaxPhotos` in interface `UserData`
  Parameters:
    `max` - the number of photos the user is allowed.

### setNickname

    public void setNickname(java.lang.String nickname)

  Description copied from interface: `UserData`
  Set the nickname of the user this data represents. Used on the server to set the field of the entry or feed, this will have no effect on the client.

  Specified by:
    `setNickname` in interface `UserData`
  Parameters:
    `nickname` - the nickname of the user.

### setQuotaLimit

    public void setQuotaLimit(java.lang.Long quota)

  Description copied from interface: `UserData`
  Set the quota limit for the user this data represents. Used by the server to set the field in the response, has no effect on the client.

  Specified by:
    `setQuotaLimit` in interface `UserData`
  Parameters:
    `quota` - the quota in bytes for the user.

### setQuotaUsed

    public void setQuotaUsed(java.lang.Long quota)

  Description copied from interface: `UserData`
  Set the used quota for the user. Has no effect on the client.

  Specified by:
    `setQuotaUsed` in interface `UserData`
  Parameters:
    `quota` - the quota usage in bytes for this user.

### setThumbnail

    public void setThumbnail(java.lang.String thumbnail)

  Description copied from interface: `UserData`
  Set the thumbnail for the user portrait. This is used on the server and does not yet have the effect of changing the portrait when set on the client.

  Specified by:
    `setThumbnail` in interface `UserData`
  Parameters:
    `thumbnail` - the url to the user portrait image.

### setUsername

    public void setUsername(java.lang.String username)

  Description copied from interface: `UserData`
  Set the username for the user this data represents. This is used by the server and setting it on the client will have no effect.

  Specified by:
    `setUsername` in interface `UserData`
  Parameters:
    `username` - the username of the user.